Subject: Re: fill-column+1 problem
From: Toru TSUNEYOSHI <[email-masked]>
To: [email-masked]
Date: Sun, 07 Jun 2009 05:19:48 +0900 (JST)

(I wrote the following...)
I think the problem is a bug obviously. (And I wish the bug fix.)
How do you (or maintainer) think about it?

From: Toru TSUNEYOSHI <[email-masked]>
Subject: fill-column+1 problem
Date: Thu, 07 May 2009 20:00:08 +0900 (JST)
Message-ID: <[email-masked]>

> Hi. I met a problem about `fill-region-as-paragraph' on Emacs
> 22.3.1. (This problem happens on Emacs 23.0.93.1, because there is no
> change of the function's code.) Please read the following.
> 
> condition:
> 
> 	fill-column => 10
> 
> === example 1 (no problems) ============================================
> 
> 12345678901234567890
> 
> あいうえおかきくけこ	<- fill-region (this function is a caller of
> 			   	        `fill-region-as-paragraph')
> 
> =>
> 
> あいうえお
> かきくけこ
> 
> ========================================================================
> 
> === example 2 (no good) ================================================
> 
> 123456789012345678901
> 
> あいxうえおかきくけこ	<- fill-region
> 
> =>
> 
> あいxうえお		<- fill-column+1 problem
> かきくけこ
> 
> ========================================================================

(I should have written "fill-column+alpha problem" not "fill-column+1
 problem". Because the problem is "fill-column+2 problem" if
 char-width (of char of end of line 1 after fill-region in example 2) is
 3.)